Download it now!
Bug 30794 - Add emacs/vim modelines
Summary: Add emacs/vim modelines
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Jan Holesovsky
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-12 02:26 UTC by Sebastian@SSpaeth.de
Modified: 2011-01-13 01:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
git patch for the "base" repo (60.61 KB, application/x-gzip)
2010-10-12 02:35 UTC, Sebastian@SSpaeth.de
Details
Vim/emacs modelines patch for botstrap repository (5.55 KB, application/x-gzip)
2010-10-12 02:39 UTC, Sebastian@SSpaeth.de
Details
modeline patch for the "calc" repo (125.46 KB, application/x-gzip)
2010-10-12 02:41 UTC, Sebastian@SSpaeth.de
Details
modeline patch for the "component" repo (106.20 KB, application/x-gzip)
2010-10-12 02:47 UTC, Sebastian@SSpaeth.de
Details
modelines patch for "extensions" repo (13.14 KB, application/x-gzip)
2010-10-12 02:57 UTC, Sebastian@SSpaeth.de
Details
modeline patch for "filters" repo (315.72 KB, application/x-gzip)
2010-10-12 02:58 UTC, Sebastian@SSpaeth.de
Details
modeline patch for "impress" repo (73.17 KB, application/x-gzip)
2010-10-12 03:02 UTC, Sebastian@SSpaeth.de
Details
modeline patch for "libs-core" repo (353.83 KB, application/x-gzip)
2010-10-12 03:02 UTC, Sebastian@SSpaeth.de
Details
modeline patch for "libs-gui" repo (226.18 KB, application/x-gzip)
2010-10-12 03:03 UTC, Sebastian@SSpaeth.de
Details
modeline patch for "sdk" repo (46.93 KB, application/x-gzip)
2010-10-12 03:03 UTC, Sebastian@SSpaeth.de
Details
modeline patch for "testing" repo (2.42 KB, application/x-gzip)
2010-10-12 03:04 UTC, Sebastian@SSpaeth.de
Details
modeline patch for "ure" repo (74.46 KB, application/x-gzip)
2010-10-12 03:04 UTC, Sebastian@SSpaeth.de
Details
modeline patch for "writer" repo (115.82 KB, application/x-gzip)
2010-10-12 03:06 UTC, Sebastian@SSpaeth.de
Details
all modeline patches for all repos (589.64 KB, application/x-bzip)
2010-10-12 07:01 UTC, Sebastian@SSpaeth.de
Details
updated modeline patch for ure, libs-gui, writer (284.29 KB, application/x-bzip)
2010-10-13 23:40 UTC, Sebastian@SSpaeth.de
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian@SSpaeth.de 2010-10-12 02:26:05 UTC
It was decided to add emacs/vim modelines to all source files. So I took the add-modelines script v0.7 (as posted in this mail: id:1286706307.1871.1399280959@webmail.messagingengine.com) and ran it on all repos. Please find attached the diffs per git repo.

To reproduce:
- I had to change the script's shebang to /bin/bash.
I then ran ./add-modelines -s "*.cxx *.cpp *.hxx" followed by ./add-modelines -z -s "*.cxx *.cpp *.hxx" on all repos.

Diffs will follow as soon as I get them.
Comment 1 Sebastian@SSpaeth.de 2010-10-12 02:35:38 UTC
Created attachment 39362 [details]
git patch for the "base" repo
Comment 2 Sebastian@SSpaeth.de 2010-10-12 02:39:26 UTC
Created attachment 39364 [details]
Vim/emacs modelines patch for botstrap repository
Comment 3 Sebastian@SSpaeth.de 2010-10-12 02:41:52 UTC
Created attachment 39365 [details]
modeline patch for the "calc" repo
Comment 4 Sebastian@SSpaeth.de 2010-10-12 02:47:32 UTC
Created attachment 39366 [details]
modeline patch for the "component" repo
Comment 5 Sebastian@SSpaeth.de 2010-10-12 02:57:57 UTC
Created attachment 39367 [details]
modelines patch for "extensions" repo
Comment 6 Sebastian@SSpaeth.de 2010-10-12 02:58:31 UTC
Created attachment 39368 [details]
modeline patch for "filters" repo
Comment 7 Sebastian@SSpaeth.de 2010-10-12 03:02:04 UTC
Created attachment 39369 [details]
modeline patch for "impress" repo
Comment 8 Sebastian@SSpaeth.de 2010-10-12 03:02:36 UTC
Created attachment 39370 [details]
modeline patch for "libs-core" repo
Comment 9 Sebastian@SSpaeth.de 2010-10-12 03:03:14 UTC
Created attachment 39371 [details]
modeline patch for "libs-gui" repo
Comment 10 Sebastian@SSpaeth.de 2010-10-12 03:03:40 UTC
Created attachment 39372 [details]
modeline patch for "sdk" repo
Comment 11 Sebastian@SSpaeth.de 2010-10-12 03:04:13 UTC
Created attachment 39373 [details]
modeline patch for "testing" repo
Comment 12 Sebastian@SSpaeth.de 2010-10-12 03:04:38 UTC
Created attachment 39374 [details]
modeline patch for "ure" repo
Comment 13 Sebastian@SSpaeth.de 2010-10-12 03:06:21 UTC
Created attachment 39375 [details]
modeline patch for "writer" repo

With this attachment, all repositories but libs-extern* are finished (I suppose external libs should not be modified).

I did use a clean git checkout and did spot-checks to see if the script really did what it was supposed to do, so I feel pretty confident that it really only does what it's supposed to do.
Comment 14 Sebastian@SSpaeth.de 2010-10-12 03:08:46 UTC
Just one last comment to clarify. Each attachment is a tar.gz of one patch file that was created with git format-patch and that should be able to simply be fed to "git am" in the respective repos. Let me know if there are difficulties.
Comment 15 Sebastian@SSpaeth.de 2010-10-12 07:01:19 UTC
Created attachment 39383 [details]
all modeline patches for all repos

New diff.tar.gz containing all patches in form:

repo1/0001-Add-vim-emacs-modelines-to-all-source-files.patch
repo2/0001-Add-vim-emacs-modelines-to-all-source-files.patch

The difference is that no empty line follows the initial emacs modeline and that no empty line will inserted before the vim modeline if it already consists of an empty line.

The one thing I did not do is REMOVING multiple empty lines before the last vim modeline if they already had existed.
Comment 16 Jan Holesovsky 2010-10-13 02:05:31 UTC
Pushed everything but libs-gui, ure and writer - the patch failed there, probably needs to be redone against the most recent sources?  Can you please attach an update?

Thank you!
Comment 17 Sebastian@SSpaeth.de 2010-10-13 23:40:06 UTC
Created attachment 39429 [details]
updated modeline patch for ure, libs-gui, writer
Comment 18 Sebastian@SSpaeth.de 2010-10-13 23:42:10 UTC
Hi Kendy, here is the updated patch for the 3 remaining repositories
Comment 19 Jan Holesovsky 2010-10-14 10:24:48 UTC
All is in the repos now :-)  Thank you!
Comment 20 sophie 2011-01-13 01:15:03 UTC
Closing - Sophie